## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests currently require running docker containers.
%bcond_with     tests

%global         srcname     azure-mgmt-resource

Name:           python-%{srcname}
Version:        23.1.1
%global         pypi_version    %{version}
Release:        %autorelease
Summary:        Microsoft Azure Resource Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Resource Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:23.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:23.1.1-2
- Rebuilt for Python 3.13

* Wed May 29 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:23.1.1-1
- Update to version 23.1.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:23.1.0~b2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:23.1.0~b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:23.1.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1:23.1.0~b2-1
- Update to 23.1.0b2 rhbz#2219715

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1:22.0.0-4
- Migrated to SPDX license

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:22.0.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:22.0.0-2
- S

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 1:22.0.0-1
- Update to 22.0.0 rhbz#2184352

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:21.1.0~b1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:21.1.0~b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:21.1.0~b1-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:21.1.0~b1-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 1:21.1.0~b1-1
- Update to 21.1.0~b1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:20.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> - 1:20.0.0-1
- Update to 20.0.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:19.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:19.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 1:19.0.0-1
- Update to 19.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:18.0.0-2
- Add epoch number for downgrade to 18.0.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:18.0.0-1
- Downgrade to 18.0.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 18.0.0-1
- Revert "Update to 19.0.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 19.0.0-1
- Update to 19.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 18.0.0-1
- Initial commit (#1971852)
## END: Generated by rpmautospec
